Module | ActionController::Pagination::ClassMethods
In: | lib/action_controller/pagination.rb

These methods become class methods on any controller

### Methods

paginate

### Public Instance methods

paginate(collection_id, options={})

Creates a `before_filter` which automatically paginates an Active Record model for all actions in a controller (or certain actions if specified with the `:actions` option).

`options` are the same as PaginationHelper#paginate, with the addition of:

`:actions`: | an array of actions for which the pagination is active. Defaults to `nil` (i.e., every action)

[Validate]